Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableServer::ForwardRequest Exception Reference

`#include <PortableServerC.h>`

List of all members.

## Public Methods
| ForwardRequest (void)
| ForwardRequest (const ForwardRequest &)
| ~ForwardRequest (void)
ForwardRequest & | operator= (const ForwardRequest &)
virtual CORBA::Exception * | _tao_duplicate (void) const
virtual void | _raise (void)
virtual void | _tao_encode (TAO_OutputCDR &ACE_ENV_ARG_DECL_NOT_USED) const
virtual void | _tao_decode (TAO_InputCDR &ACE_ENV_ARG_DECL_NOT_USED)
| ForwardRequest (const CORBA::Object_ptr _tao_forward_reference)
virtual CORBA::TypeCode_ptr | _type (void) const
## Static Public Methods
void | _tao_any_destructor (void *)
ForwardRequest * | _downcast (CORBA::Exception *)
CORBA::Exception * | _alloc (void)
## Public Attributes
Object | forward_reference
CORBA::Object_var | forward_reference

## Constructor & Destructor Documentation

PortableServer::ForwardRequest::ForwardRequest | ( | void |  | ) |

PortableServer::ForwardRequest::ForwardRequest | ( | const ForwardRequest & |  | ) |

PortableServer::ForwardRequest::~ForwardRequest | ( | void |  | ) |

PortableServer::ForwardRequest::ForwardRequest | ( | const CORBA::Object_ptr | _tao_forward_reference | ) |

## Member Function Documentation

CORBA::Exception * PortableServer::ForwardRequest::_alloc | ( | void |  | ) | `[static]`

PortableServer::ForwardRequest * PortableServer::ForwardRequest::_downcast | ( | CORBA::Exception * | exc | ) | `[static]`

void PortableServer::ForwardRequest::_raise | ( | void |  | ) | `[virtual]`

void PortableServer::ForwardRequest::_tao_any_destructor | ( | void * | _tao_void_pointer | ) | `[static]`

virtual void PortableServer::ForwardRequest::_tao_decode | ( | TAO_InputCDR & | ACE_ENV_ARG_DECL_NOT_USED | ) | `[virtual]`

CORBA::Exception * PortableServer::ForwardRequest::_tao_duplicate | ( | void |  | ) | const`[virtual]`

virtual void PortableServer::ForwardRequest::_tao_encode | ( | TAO_OutputCDR & | ACE_ENV_ARG_DECL_NOT_USED | ) | const`[virtual]`

virtual CORBA::TypeCode_ptr PortableServer::ForwardRequest::_type | ( | void |  | ) | const`[virtual]`

ForwardRequest& PortableServer::ForwardRequest::operator= | ( | const ForwardRequest & |  | ) |

## Member Data Documentation

CORBA::Object_var PortableServer::ForwardRequest::forward_reference

Object PortableServer::ForwardRequest::forward_reference

The documentation for this exception was generated from the following files:

- PortableServer.pidl
- PortableServerC.h
- PortableServerC.cpp